import 'package:flutter/material.dart';
import 'package:provider/provider.dart';

import 'package:random/provider/data.dart';

class DemoPage extends StatelessWidget {
  static String code = 'demo';

  @override
  Widget build(BuildContext context) {
    Data myProvider = Provider.of<Data>(context);

    Scaffold pageContent = Scaffold(
      appBar: AppBar(
        elevation: 0,
        actions: <Widget>[
          IconButton(
            icon: const Icon(Icons.loop),
            onPressed: () => print(myProvider),
          ),
        ],
      ),
      backgroundColor: Colors.blue,
      body: Center(
        child: Column(
          mainAxisAlignment: MainAxisAlignment.spaceEvenly,
          crossAxisAlignment: CrossAxisAlignment.center,
          mainAxisSize: MainAxisSize.max,
          children: <Widget>[
            Text('TOP'),
            SizedBox(height: 2),
            Text('BOTTOM'),
          ],
        ),
      ),
    );

    return SizedBox.expand(
      child: Container(
        child: FittedBox(
          fit: BoxFit.contain,
          alignment: Alignment.center,
          child: SizedBox(
            height: (MediaQuery.of(context).size.height),
            width: (MediaQuery.of(context).size.width),
            child: pageContent,
          ),
        ),
      ),
    );
  }
}
