import 'package:flutter/material.dart';
import 'package:provider/provider.dart';

import 'package:random/provider/data.dart';
import 'package:random/screens/demo.dart';
import 'package:random/screens/graph.dart';

class Home extends StatelessWidget {
  static const String id = 'home';

  Future<void> resetGame(Data myProvider) async {}

  @override
  Widget build(BuildContext context) {
    Data myProvider = Provider.of<Data>(context);

    Container _buildMenuItemContainer(String code, Color color) {
      double imageSize = 150;

      String imageAsset = 'assets/menu/' + code + '.png';

      return Container(
        margin: EdgeInsets.all(2),
        decoration: BoxDecoration(
          borderRadius: BorderRadius.circular(8),
          border: Border.all(
            color: Colors.teal,
            width: 8,
          ),
        ),
        child: TextButton(
          style: TextButton.styleFrom(
            padding: EdgeInsets.all(15),
            backgroundColor: color,
          ),
          child: Image(
            image: AssetImage(imageAsset),
            width: imageSize,
            height: imageSize,
            fit: BoxFit.fill,
          ),
          onPressed: () {
            resetGame(myProvider);
            Navigator.pushNamed(
              context,
              '/' + code,
            );
          },
        ),
      );
    }

    return Scaffold(
      backgroundColor: Colors.blue,
      body: Center(
        child: Column(
          mainAxisAlignment: MainAxisAlignment.spaceEvenly,
          crossAxisAlignment: CrossAxisAlignment.center,
          mainAxisSize: MainAxisSize.max,
          children: <Widget>[
            _buildMenuItemContainer(DemoPage.code, Colors.pink),
            _buildMenuItemContainer(GraphPage.code, Colors.lightBlue),
          ],
        ),
      ),
    );
  }
}
